跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 22.6.1, which is no longer the latest release. See the latest release.

Delete a user

DELETE
/admin/users/{username}
curl --request DELETE \
--url https://gitea.example.com/api/v1/admin/users/example \
--header 'Authorization: Basic <credentials>'
username
required
string

Username of user to delete

purge
boolean

Purge the user from the system completely

APIEmpty is an empty response

Media typeapplication/json

APIForbiddenError is a forbidden error response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json

APIValidationError is error format response related to input validation

Media typeapplication/json
message
string
url
string